<?php

use App\Http\Controllers\Frontend\FrontendApiController;

Route::namespace ('FrontEnd')->middleware(['throttle'])->group(function () {
	Route::get('company-info', [FrontendApiController::class,'company_info']);
	Route::get('vehicle-types', [FrontendApiController::class,'vehicle_types']);
	Route::get('our-services', [FrontendApiController::class,'our_services']);
	Route::get('about', [FrontendApiController::class,'about_fleet']);
	Route::post('user-login', [FrontendApiController::class,'user_login']);
	Route::post('user-register', [FrontendApiController::class,'user_register']);
	Route::get('testimonials', [FrontendApiController::class,'testimonials']);
	Route::get('footer', [FrontendApiController::class,'footer_data']);
	Route::get('vehicles', [FrontendApiController::class,'vehicles']);
	Route::post('message-us', [FrontendApiController::class,'message_us']);
	Route::post('forgot-password', [FrontendApiController::class,'forgot_password']);
	Route::post('reset-password', [FrontendApiController::class,'reset_password']);
	// 4.0.2
	Route::get('payment-methods', [FrontendApiController::class,'methods']);
	Route::post('redirect-payment', [FrontendApiController::class,'redirect_payment']);
	Route::get('current-language', [FrontendApiController::class,'language']);

});

Route::namespace ('FrontEnd')->middleware(['throttle', 'auth:api'])->group(function () {
	Route::post('user-booking-history/{id}', [FrontendApiController::class,'user_booking_history']);
	Route::post('booking-history/{id}', [FrontendApiController::class,'booking_history']);
	Route::post('book-now', [FrontendApiController::class,'book_now']);
	Route::post('book-later', [FrontendApiController::class,'book_later']);
});
